Wallets, tokens & networks
Create Token Type New
Creates a token type on an org network after uniqueness checks, enabling the network when the token is enabled.
POSThttps://api.toku.com/stablecoin-payroll/create-token-type-new
Not available to API keys yet. It will need wallets:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/create-token-type-new' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"currencyCode": "string",
"networkID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"isTokenEnabled": true,
"enabledForPayrollType": "ON_CYCLE",
"address": "string",
"decimalPlaces": 0,
"logoURI": "string",
"coinMarketCapID": "string"
}'200 response
{
"tokenType": {
"tokenTypeID": "string",
"name": "string",
"currencyCode": "string",
"icon": "string",
"orgID": "string",
"enabledForPayrollType": "string",
"networkID": "string",
"address": "string",
"decimalPlaces": 0,
"coinMarketCapID": "string",
"createdAt": "string",
"isTokenEnabled": true,
"isContractorDefault": true,
"defaultTokenSlug": "string",
"catalogTokenDeploymentID": "string"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
namestringrequiredAllowed: at least 1 characters
currencyCodestringrequiredAllowed: at least 1 characters
networkIDstring<uuid>requiredisTokenEnabledbooleanenabledForPayrollTypestringAvailable options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT
addressstringdecimalPlacesintegerAllowed: 0 to 18
logoURIstring<uri>coinMarketCapIDstringResponse
200Successful response
tokenTypeobjectrequiredShow child attributes
tokenTypeIDstringrequirednamestringrequiredcurrencyCodestringrequirediconstring | nullrequiredorgIDstringrequiredenabledForPayrollTypestring | nullrequirednetworkIDstringrequiredaddressstring | nullrequireddecimalPlacesinteger | nullrequiredcoinMarketCapIDstring | nullrequiredcreatedAtstringrequiredisTokenEnabledboolean | nullrequiredisContractorDefaultbooleanrequireddefaultTokenSlugstring | nullrequiredcatalogTokenDeploymentIDstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits